package com.kingdee.eas.gyt;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.gyt.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class BizHelpFacade extends AbstractBizCtrl implements IBizHelpFacade
{
    public BizHelpFacade()
    {
        super();
        registerInterface(IBizHelpFacade.class, this);
    }
    public BizHelpFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IBizHelpFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("32E44C30");
    }
    private BizHelpFacadeController getController() throws BOSException
    {
        return (BizHelpFacadeController)getBizController();
    }
    /**
     *·´Ð´-User defined method
     *@param billID µ¥¾ÝID
     *@return
     */
    public String writeBack(String billID) throws BOSException, EASBizException
    {
        try {
            return getController().writeBack(getContext(), billID);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}